## org.eclipse.emf.mint
Class MemberAnnotationChangedEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.emf.mint.MemberAnnotationChangedEvent

All Implemented Interfaces:
  java.io.Serializable

    public class MemberAnnotationChangedEvent

extends java.util.EventObject

Event describing a change to a Java type member's `code generation status`.

See Also:
  Serialized Form
Restriction
  This class is not intended to be subclassed by clients.
Restriction
  This class is not intended to be instantiated by clients.

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MemberAnnotationChangedEvent(IMemberAnnotationManager manager, java.util.Map<org.eclipse.jdt.core.IMember,CodeGenStatus> changes)` Creates an instance of the event.

Method Summary
`java.util.Map<org.eclipse.jdt.core.IMember,CodeGenStatus>` `getChanges()` Returns a map of members and their changed statuses.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemberAnnotationChangedEvent

    public MemberAnnotationChangedEvent(IMemberAnnotationManager manager,
                                        java.util.Map<org.eclipse.jdt.core.IMember,CodeGenStatus> changes)

  Creates an instance of the event.

  Parameters:
    `manager` - event source
    `changes` - map of members and their changed statuses
  Restriction
    This constructor is not intended to be referenced by clients.

Method Detail

### getChanges

    public java.util.Map<org.eclipse.jdt.core.IMember,CodeGenStatus> getChanges()

  Returns a map of members and their changed statuses.

  Returns:
    map of members and their changed statuses

Copyright 2008 Ecliptical Software Inc. and others. All Rights Reserved.